function Y=GetTrig(X,A)
% Знаходження значення степеневої функції з коефіцієнтами в матриці A для аргументу X
% Аргументи:
%   A - коефіцієнти функції
%   X - аргументи (вектор-рядок)
% Результати:
%   RES - значення функції
% Обмеження:
%   аргументи слідують у порядку A(1)*cos(A(2)*x+A(3))


% зміщуємо по осі абсцис
%X=X-A(3);

% масштабуємо по осі абсцис
%X=X/A(4);

% обраховуємо f(x)
Y=X*A(2);
Y=Y+A(3);
Y=cos(Y);
Y=Y*A(1);

% масштабуємо по осі ординат
%Y=Y*A(2);

% зміщуємо по осі ординат
%Y=Y+A(1);
